import React from 'react';

function AngiAvatarIcon({className}: {className?: string}) {
  return (
    <svg
      width='24'
      height='24'
      viewBox='0 0 24 24'
      fill='none'
      xmlns='http://www.w3.org/2000/svg'
      className={className}
    >
      <g clip-path='url(#clip0_35_14494)'>
        <rect width='24' height='24' rx='12' fill='#FC5647' />
        <path
          d='M14.1264 4H12.6397H11.1161L10.0865 10.797C10.0647 10.8 10.043 10.8016 10.0205 10.8047C7.74585 11.125 5.98057 13.1525 6.00016 15.4197C6.00887 16.3678 6.31433 17.1084 6.86212 17.7153C7.35695 18.2639 8.03099 18.5612 8.71156 18.5612C8.97784 18.5612 9.24484 18.5159 9.50242 18.4221C10.7286 17.975 11.1356 16.8856 11.3265 15.8884C11.3265 15.8891 11.3257 15.8907 11.3257 15.8922C11.3809 14.779 10.8193 13.6796 9.74838 13.0288L9.40955 15.2945C9.30071 15.9375 9.15923 16.3217 8.85595 16.4323C8.67456 16.4984 8.45109 16.43 8.30017 16.2625C8.10572 16.0466 7.99181 15.8062 7.98818 15.3997C7.97803 14.2665 8.81967 13.3769 9.74838 13.0288C10.0401 12.9174 10.3433 12.8652 10.6822 12.8652C11.0261 12.8652 11.3881 12.9351 11.719 13.0526C12.9735 13.3661 13.7339 14.7751 13.9218 16.3009L14.0321 17.156H16.1195L14.1264 4ZM11.9853 10.9429L12.5839 6.07896H12.602H12.6579L13.3261 11.5069C12.9016 11.2618 12.4503 11.0705 11.9853 10.9429Z'
          fill='white'
        />
        <path
          d='M11.3256 15.892C11.4308 15.4164 11.6746 13.5902 11.7182 13.0525C11.388 12.9357 11.0253 12.865 10.6813 12.865C10.3425 12.865 10.0392 12.918 9.74756 13.0286C10.8192 13.6794 11.3808 14.7788 11.3256 15.892Z'
          fill='#DBD9D4'
        />
      </g>
      <defs>
        <clipPath id='clip0_35_14494'>
          <rect width='24' height='24' rx='12' fill='white' />
        </clipPath>
      </defs>
    </svg>
  );
}

export default AngiAvatarIcon;
